<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<!-- responsive -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Grid System</title>

	<!-- Boostrap CSS -->
<!-- 		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous"> -->

	<!-- external CSS -->
	<link rel="stylesheet" href="style.css">
</head>
<body>

<!--  using bootstrap container -->
<!-- CRC rule -->
<!-- 	<div class="container">
		<div class="row"> 
				<div class="col-12 col-md-6 border col-lg-4">
				<p>
					Lorem ipsum dolor sit amet consectetur, adipisicing, elit. Aspernatur quisquam sint unde eligendi debitis a molestias quia similique quam sequi? Quam enim architecto ab aperiam minus porro corporis nihil illo!
				</p>
 -->
				<!-- nested paragraphs -->
<!-- 				<div class="row">
					<p class="bg-primary col-12 col-md-6">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Molestiae neque, sed! Obcaecati nisi cumque dolore ipsum asperiores, cupiditate provident repellat ut? Quia, provident ratione. Ducimus, possimus. Beatae quod, soluta ducimus?</p>

					<p class="bg-warning col-12 col-md-6">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Molestiae neque, sed! Obcaecati nisi cumque dolore ipsum asperiores, cupiditate provident repellat ut? Quia, provident ratione. Ducimus, possimus. Beatae quod, soluta ducimus?</p>
				</div>
			</div>
			<div class="col-12 col-md-6 border col-lg-4">
				<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda dolorem aliquam voluptatem veniam aperiam nesciunt repellendus autem velit, qui, commodi quam fugit obcaecati repudiandae consectetur accusamus. Unde expedita veritatis ipsum.</p>
			</div>
			<div class="col-12 border col-lg-4">
				<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Deleniti, eum, ab. Quis ex perspiciatis, voluptates ab deserunt, repellat voluptas explicabo cupiditate, corporis inventore molestias beatae, consequuntur impedit reiciendis facere! Voluptas.</p>
			</div>
		</div> -->
<!-- 		<div class="row">
			<div class="col border">
				<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Saepe aliquid delectus aut, rerum facere. Blanditiis saepe expedita dolor eaque recusandae? Est natus ratione non, id doloribus a, inventore! Aspernatur, possimus.</p>
			</div>
		</div> -->
	</div>

	<!-- using bootstrap container fluid -->
<!-- 	<div class="container-fluid">
	</div> -->

	<!-- using manual computation and media query -->
	<div class="container">
		<div class="row">
			<div class="col-12 col-md-8">
				<p>
					Lorem, ipsum dolor sit amet consectetur adipisicing elit. Earum numquam, officia aperiam exercitationem consectetur possimus. Vero, neque facilis animi, totam quos magnam enim odio, praesentium maxime at sapiente ex? Quis?
				</p>
			</div>

			<div class="col-12 col-md-4">
				<p>
					Lorem, ipsum dolor sit amet consectetur adipisicing elit. Earum numquam, officia aperiam exercitationem consectetur possimus. Vero, neque facilis animi, totam quos magnam enim odio, praesentium maxime at sapiente ex? Quis?
				</p>
		</div>
	</div>


</body>
</html>